Method: regionBackendServices.getHealth | Compute Engine | Google Cloud Documentation (original) (raw)
- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets the most recent health check results for this regional BackendService.
HTTP request
POST https://compute.googleapis.com/compute/v1/projects/{project}/regions/{region}/backendServices/{backendService}/getHealth
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters | |
|---|---|
| project | string |
| region | string Name of the region scoping this request. |
| backendService | string Name of the BackendService resource for which to get health. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
| { "group": string } |
| Fields | |
|---|---|
| group | string A URI referencing one of the instance groups or network endpoint groups listed in the backend service. |
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
| { "kind": string, "healthStatus": [ { "weight": string, "weightError": enum, "ipAddress": string, "ipv6Address": string, "port": integer, "instance": string, "healthState": enum, "ipv6HealthState": enum, "annotations": { string: string, ... }, "forwardingRuleIp": string, "forwardingRule": string } ], "annotations": { string: string, ... } } |
| Fields | |
|---|---|
| kind | string Output only. Type of resource. Always compute#backendServiceGroupHealth for the health of backend services. |
| healthStatus[] | object Health state of the backend instances or endpoints in requested instance or network endpoint group, determined based on configured health checks. |
| healthStatus[].weight | string |
| healthStatus[].weightError | enum |
| healthStatus[].ipAddress | string For target pool based Network Load Balancing, it indicates the forwarding rule's IP address assigned to this instance. For other types of load balancing, the field indicates VM internal ip. |
| healthStatus[].ipv6Address | string |
| healthStatus[].port | integer The named port of the instance group, not necessarily the port that is health-checked. |
| healthStatus[].instance | string URL of the instance resource. |
| healthStatus[].healthState | enum Health state of the IPv4 address of the instance. |
| healthStatus[].ipv6HealthState | enum Health state of the IPv6 address of the instance. |
| healthStatus[].annotations | map (key: string, value: string) Metadata defined as annotations for network endpoint. |
| healthStatus[].forwardingRuleIp | string A forwarding rule IP address assigned to this instance. |
| healthStatus[].forwardingRule | string URL of the forwarding rule associated with the health status of the instance. |
| annotations | map (key: string, value: string) Metadata defined as annotations on the network endpoint group. |
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.regionBackendServices.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.